Build failed in Jenkins: ovirt_4.0_he-system-tests #612

jenkins at jenkins.phx.ovirt.org jenkins at jenkins.phx.ovirt.org
Fri Dec 30 02:35:09 UTC 2016


See <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/612/changes>

Changes:

[Your Name] 002_bootstrap: removing unused local variables

[Barak Korren] Fix standard-ci artifact collection

[Barak Korren] Made mock runner create logs in a safe place

[Eyal Edri] enable integration for getbadgets on ovirt projects

[Eyal Edri] make manual trigger generic

[Eyal Edri] add new 'custom repos' parameter to standard CI

[Eyal Edri] Update system-tests.sh to accept also custom repos

------------------------------------------
[...truncated 44 lines...]
 > git rev-parse origin/master^{commit} # timeout=10
Checking out Revision 6ef858608152457d02216ecb693417f54a0b1240 (origin/master)
 > git config core.sparsecheckout # timeout=10
 > git checkout -f 6ef858608152457d02216ecb693417f54a0b1240
 > git rev-list 0e7fcd0091f0f76a88553920776296bec9f28156 # timeout=10
 > git branch -a # timeout=10
 > git rev-parse remotes/origin/master^{commit} # timeout=10
[ovirt_4.0_he-system-tests] $ /bin/bash -e /tmp/hudson6140029738256576947.sh
shell-scripts/cleanup_slave.sh
###################################################################
#    Cleaning up slave                                            #
###################################################################
Filesystem      Size  Used Avail Use% Mounted on
devtmpfs         24G     0   24G   0% /dev
tmpfs            24G     0   24G   0% /dev/shm
tmpfs            24G  4.8M   24G   1% /run
tmpfs            24G     0   24G   0% /sys/fs/cgroup
/dev/sda3       894G   17G  832G   2% /
tmpfs            24G  336K   24G   1% /tmp
/dev/sda1       240M   93M  132M  42% /boot
tmpfs           4.8G     0  4.8G   0% /run/user/1016
tmpfs           4.8G     0  4.8G   0% /run/user/1013
---------------------------------------------------------------
Cleaning up postgres databases
/tmp ~/workspace/ovirt_4.0_he-system-tests
sudo: psql: command not found
~/workspace/ovirt_4.0_he-system-tests
done
Cleaning up journal logs (if any)
Redirecting to /bin/systemctl restart  systemd-journald.service
Cleaning up /var/tmp
done
Emptying some common logs
    /var/log/wtmp
Done
    /home/jenkins/workspace/ovirt-system-tests_master_check-patch-fc24-x86_64
Making sure there are no device mappings...
Removing the used loop devices...
Redirecting to /bin/systemctl restart  libvirtd.service
---------------------------------------------------------------
Filesystem      Size  Used Avail Use% Mounted on
devtmpfs         24G     0   24G   0% /dev
tmpfs            24G     0   24G   0% /dev/shm
tmpfs            24G  4.8M   24G   1% /run
tmpfs            24G     0   24G   0% /sys/fs/cgroup
/dev/sda3       894G   17G  832G   2% /
tmpfs            24G  336K   24G   1% /tmp
/dev/sda1       240M   93M  132M  42% /boot
tmpfs           4.8G     0  4.8G   0% /run/user/1016
tmpfs           4.8G     0  4.8G   0% /run/user/1013
###################################################################
#    Slave cleanup done                                           #
###################################################################
[ovirt_4.0_he-system-tests] $ /bin/bash -xe /tmp/hudson8347200169630191906.sh
+ echo shell-scripts/system_tests.sh
shell-scripts/system_tests.sh
+ VERSION=4.0
+ SUITE_TYPE=he_basic
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/>
+ GIT_SUBDIR=ovirt-system-tests
+ OVIRT_SUITE=he_basic_suite_4.0
+ PREFIX=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-tests/deployment-he_basic_suite_4.0>
+ OVIRT_SUITE_DIR=ovirt-system-tests/he_basic-suite-4.0
+ '[' -z '$' ']'
+ echo ''
/tmp/hudson8347200169630191906.sh: line 19: <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-tests/he_basic-suite-4.0/extra_sources>: No such file or directory
Build step 'Execute shell' marked build as failure
Performing Post build task...
Match found for :.* : True
Logical operation result is TRUE
Running script  : #!/bin/bash -xe
echo 'shell_scripts/system_tests.collect_logs.sh'

#
# Required jjb vars:
#    version
#
VERSION=4.0
SUITE_TYPE=

WORKSPACE="$PWD"
OVIRT_SUITE="$SUITE_TYPE_suite_$VERSION"
TESTS_LOGS="$WORKSPACE/ovirt-system-tests/exported-artifacts"

rm -rf "$WORKSPACE/exported-artifacts"
mkdir -p "$WORKSPACE/exported-artifacts"

if [[ -d "$TESTS_LOGS" ]]; then
    mv "$TESTS_LOGS/"* "$WORKSPACE/exported-artifacts/"
fi

[ovirt_4.0_he-system-tests] $ /bin/bash -xe /tmp/hudson1149753924956821861.sh
+ echo shell_scripts/system_tests.collect_logs.sh
shell_scripts/system_tests.collect_logs.sh
+ VERSION=4.0
+ SUITE_TYPE=
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/>
+ OVIRT_SUITE=4.0
+ TESTS_LOGS=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-tests/exported-artifacts>
+ rm -rf <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/612/artifact/exported-artifacts>
+ mkdir -p <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/612/artifact/exported-artifacts>
+ [[ -d <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-tests/exported-artifacts> ]]
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 0
Match found for :.* : True
Logical operation result is TRUE
Running script  : #!/bin/bash -x
echo "shell-scripts/mock_cleanup.sh"
# Make clear this is the cleanup, helps reading the jenkins logs
cat <<EOC
_______________________________________________________________________
#######################################################################
#                                                                     #
#                               CLEANUP                               #
#                                                                     #
#######################################################################
EOC

shopt -s nullglob

WORKSPACE="${WORKSPACE:-$PWD}"
UMOUNT_RETRIES="${UMOUNT_RETRIES:-3}"
UMOUNT_RETRY_DELAY="${UMOUNT_RETRY_DELAY:-1s}"

safe_umount() {
    local mount="${1:?}"
    local attempt
    for ((attempt=0 ; attempt < $UMOUNT_RETRIES ; attempt++)); do
        # If this is not the 1st time through the loop, Sleep a while to let
        # the problem "solve itself"
        [[ attempt > 0 ]] && sleep "$UMOUNT_RETRY_DELAY"
        # Try to umount
        sudo umount --lazy "$mount" && return 0
        # See if the mount is already not there despite failing
        findmnt --kernel --first "$mount" > /dev/null && return 0
    done
    echo "ERROR:  Failed to umount $mount."
    return 1
}

# restore the permissions in the working dir, as sometimes it leaves files
# owned by root and then the 'cleanup workspace' from jenkins job fails to
# clean and breaks the jobs
sudo chown -R "$USER" "$WORKSPACE"

# stop any processes running inside the chroot
failed=false
mock_confs=("$WORKSPACE"/*/mocker*)
# Clean current jobs mockroot if any
for mock_conf_file in "${mock_confs[@]}"; do
    [[ "$mock_conf_file" ]] || continue
    echo "Cleaning up mock $mock_conf"
    mock_root="${mock_conf_file##*/}"
    mock_root="${mock_root%.*}"
    my_mock="/usr/bin/mock"
    my_mock+=" --configdir=${mock_conf_file%/*}"
    my_mock+=" --root=${mock_root}"
    my_mock+=" --resultdir=$WORKSPACE"

    #TODO: investigate why mock --clean fails to umount certain dirs sometimes,
    #so we can use it instead of manually doing all this.
    echo "Killing all mock orphan processes, if any."
    $my_mock \
        --orphanskill \
    || {
        echo "ERROR:  Failed to kill orphans on $chroot."
        failed=true
    }

    mock_root="$(\
        grep \
            -Po "(?<=config_opts\['root'\] = ')[^']*" \
            "$mock_conf_file" \
    )" || :
    [[ "$mock_root" ]] || continue
    mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
    if [[ "$mounts" ]]; then
        echo "Found mounted dirs inside the chroot $chroot. Trying to umount."
    fi
    for mount in "${mounts[@]}"; do
        safe_umount "$mount" || failed=true
    done
done

# Clean any leftover chroot from other jobs
for mock_root in /var/lib/mock/*; do
    this_chroot_failed=false
    mounts=($(cut -d\  -f2 /proc/mounts | grep "$mock_root" | sort -r)) || :
    if [[ "$mounts" ]]; then
        echo "Found mounted dirs inside the chroot $mock_root." \
             "Trying to umount."
    fi
    for mount in "${mounts[@]}"; do
        safe_umount "$mount" && continue
        # If we got here, we failed $UMOUNT_RETRIES attempts so we should make
        # noise
        failed=true
        this_chroot_failed=true
    done
    if ! $this_chroot_failed; then
        sudo rm -rf "$mock_root"
    fi
done

# remove mock caches that are older then 2 days:
find /var/cache/mock/ -mindepth 1 -maxdepth 1 -type d -mtime +2 -print0 | \
    xargs -0 -tr sudo rm -rf
# We make no effort to leave around caches that may still be in use because
# packages installed in them may go out of date, so may as well recreate them

# Drop all left over libvirt domains
for UUID in $(virsh list --all --uuid); do
  virsh destroy $UUID || :
  sleep 2
  virsh undefine --remove-all-storage --storage vda --snapshots-metadata $UUID || :
done

if $failed; then
    echo "Cleanup script failed, propegating failure to job"
    exit 1
fi

[ovirt_4.0_he-system-tests] $ /bin/bash -x /tmp/hudson3954265573632757137.sh
+ echo shell-scripts/mock_cleanup.sh
shell-scripts/mock_cleanup.sh
+ cat
_______________________________________________________________________
#######################################################################
#                                                                     #
#                               CLEANUP                               #
#                                                                     #
#######################################################################
+ shopt -s nullglob
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/>
+ UMOUNT_RETRIES=3
+ UMOUNT_RETRY_DELAY=1s
+ sudo chown -R jenkins <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/>
+ failed=false
+ mock_confs=("$WORKSPACE"/*/mocker*)
+ find /var/cache/mock/ -mindepth 1 -maxdepth 1 -type d -mtime +2 -print0
+ xargs -0 -tr sudo rm -rf
sudo rm -rf /var/cache/mock/epel-7-x86_64-ed452d1ea0f6dadf50c66d3b3f6b3a6e 
++ virsh list --all --uuid
+ false
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 1
Recording test results
ERROR: Step ‘Publish JUnit test result report’ failed: No test report files were found. Configuration error?
Archiving artifacts


More information about the Infra mailing list